# $Revision: 1.30 $, $Date: 2004/05/06 18:09:17 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	CDDB - read the CDDB entry for an audio CD in your drive
Summary(pl):	CDDB - odczyt informacji CDDB dla pyty audio CD w napdzie
Name:		perl-CDDB_get
Version:	2.23
Release:	1
License:	GPL v2 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/F/FO/FONKIE/CDDB_get-%{version}.tar.gz
# Source0-md5:	6230c08a91ac819fceada544730623be
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module/script gets the CDDB info for an audio cd.

%description -l pl
Ten modu/skrypt zbiera informacje z bazy CDDB dla pyt audio CD.

%prep
%setup -q -n CDDB_get-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cddb.pl
%{perl_vendorlib}/CDDB_get.pm
%{perl_vendorlib}/cddb.pl
%dir %{perl_vendorlib}/auto/CDDB_get
%{perl_vendorlib}/auto/CDDB_get/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CDDB_get.spec,v $
Revision 1.30  2004/05/06 18:09:17  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.28  2004/04/20 09:46:26  ankry
- bcond fixes/porting

Revision 1.27  2004/04/17 16:19:50  ankry
- license/summary/description fixes

Revision 1.26  2003/09/15 08:17:03  adamg
- updated to 2.23

Revision 1.25  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.24  2003/08/18 08:08:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.20  2003/03/01 18:45:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.19  2003/02/25 00:36:49  radek
- use the __perl macro

Revision 1.18  2003/02/18 15:26:56  ankry
- massive attack: change CPAN URLs

Revision 1.17  2002/10/18 01:23:02  ankry
- tests, cleaning
- updated to 2.11

Revision 1.16  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.15  2002/07/11 07:57:14  depesz
- new version; should work; STBR

Revision 1.14  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.13  2002/03/03 21:07:20  marcus
- rel.2.

Revision 1.12  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/10 15:39:12  depesz
adapterized

Revision 1.10  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.9  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/06/06 16:12:42  mis
- autoupdated to 1.66

Revision 1.7  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.6  2001/04/17 12:05:42  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.5  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.4  2001/03/29 07:42:32  mis
- autoupdated to 1.61

Revision 1.3  2001/01/29 10:20:58  zagrodzki
- 755 on %%{_bindir}/*
- removed README (unnecessary)
- release 2

Revision 1.2  2001/01/22 19:24:28  kloczek
- cosmetics.

Revision 1.1  2001/01/22 17:17:52  zagrodzki
- initial release
